Bug 1644144 - katello-certs-check output shows foreman-installer/foreman-proxy-certs-generate
Summary: katello-certs-check output shows foreman-installer/foreman-proxy-certs-generate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Branding
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-30 05:44 UTC by Nikhil Kathole
Modified: 2019-10-07 17:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:33 UTC

Description Nikhil Kathole 2018-10-30 05:44:42 UTC
Description of problem: Output of katello-certs-check output shows

 To use them inside a NEW $FOREMAN_PROXY, run this command:

      foreman-proxy-certs-generate --foreman-proxy-fqdn "$FOREMAN_PROXY"\
                                   --certs-tar  "~/$FOREMAN_PROXY-certs.tar"\
                                   --server-cert "/root/server.valid.crt"\
                                   --server-key "/root/server.key"\
                                   --server-ca-cert "/root/rootCA.pem"\

  To use them inside an EXISTING $FOREMAN_PROXY, run this command INSTEAD:

      foreman-proxy-certs-generate --foreman-proxy-fqdn "$FOREMAN_PROXY"\
                                   --certs-tar  "~/$FOREMAN_PROXY-certs.tar"\
                                   --server-cert "/root/server.valid.crt"\
                                   --server-key "/root/server.key"\
                                   --server-ca-cert "/root/rootCA.pem"\
                                   --certs-update-server

To install the Katello main server with the custom certificates, run:

    foreman-installer --scenario katello\
                      --certs-server-cert "/root/server.valid.crt"\
                      --certs-server-key "/root/server.key"\
                      --certs-server-ca-cert "/root/rootCA.pem"

To update the certificates on a currently running Katello installation, run:

    foreman-installer --scenario katello\
                      --certs-server-cert "/root/server.valid.crt"\
                      --certs-server-key "/root/server.key"\
                      --certs-server-ca-cert "/root/rootCA.pem"\
                      --certs-update-server --certs-update-server-ca




Version-Release number of selected component (if applicable):
Satellite 6.5.0 snap 1


How reproducible:
always

Steps to Reproduce:
1. katello-certs-check -c server.valid.crt -k server.key -b rootCA.pem


Actual results: 

Output showed foreman-installer/foreman-proxy-certs-generate/Katello/foreman-proxy words.


Expected results:
Replace :

s/foreman-installer/satellite-installer
s/foreman-proxy-certs-generate/capsule-certs-generate
s/foreman-proxy/capsule
s/katello/satellite


Additional info:

Comment 5 Nikhil Kathole 2018-11-20 07:57:48 UTC
VERIFIED

Version tested:
Satellite 6.5 snap 4

To install the Satellite server with the custom certificates, run:

    satellite-installer --scenario satellite \
                      --certs-server-cert "/root/server.valid.crt" \
                      --certs-server-key "/root/server.key" \
                      --certs-server-ca-cert "/root/rootCA.pem"

To update the certificates on a currently running Satellite installation, run:

    satellite-installer --scenario satellite \
                      --certs-server-cert "/root/server.valid.crt" \
                      --certs-server-key "/root/server.key" \
                      --certs-server-ca-cert "/root/rootCA.pem" \
                      --certs-update-server --certs-update-server-ca

 To use them inside a NEW $CAPSULE, run this command:

      capsule-certs-generate --foreman-proxy-fqdn "$CAPSULE" \
                                --certs-tar  "~/$CAPSULE-certs.tar" \
                                --server-cert "/root/server.valid.crt" \
                                --server-key "/root/server.key" \
                                --server-ca-cert "/root/rootCA.pem" \

  To use them inside an EXISTING $CAPSULE, run this command INSTEAD:

      capsule-certs-generate --foreman-proxy-fqdn "$CAPSULE" \
                                --certs-tar  "~/$CAPSULE-certs.tar" \
                                --server-cert "/root/server.valid.crt" \
                                --server-key "/root/server.key" \
                                --server-ca-cert "/root/rootCA.pem" \
                                --certs-update-server

Comment 9 errata-xmlrpc 2019-05-14 12:38:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.